import executeService from '@/services/bis/executeService.js'

const MODULO = 'PROYECTO'
const VARIABLE = 'ID_PROYECTO'
export default {
  async obtenerDatos(conjson, datos, offsetrow, first, rows, ordenar, orderby, order, contador,second_modulo,second_condition,second_column) {
    let p_conjson ='';
    if(conjson!=null){ p_conjson=JSON.stringify(conjson);}
    return executeService.executeService(
      MODULO,
      1,
      p_conjson,
      '',
      offsetrow,
      first,
      rows,
      ordenar,
      orderby,
      order,
      contador,second_modulo,second_condition,second_column
    )
  },
  async update(id, data) {
    return executeService.update(id, data, MODULO, VARIABLE)
  },
  async create(data) {
    return executeService.create(data, MODULO)
  },
  async delete(id) {
    return executeService.delete(id, MODULO, VARIABLE)
  }
}
