import axiosBisInstance from '@/utils/axios/axios-bis-intance.js'

export default {
  async executeService(modulo,operation,conjson,datos,offsetrow,first,rows,ordenar,orderby,order,contador,consulta_predefinida) {
    const configr = {
      OFFSETROW: offsetrow,
      FIRSTROW: first,
      NUMROW: rows,
      ORDENAR: ordenar,
      ORDERBY: orderby,
      ORDEN: order,
      CONTADOR: contador
    }
    const params = {
      nombreServicio: 'MODULOS_RIDS',
      P_OPERATION: operation,
      P_MODULO: modulo,
      P_DATOS: datos,
      P_CONJSON: conjson,
      P_CONS_PREDEF: consulta_predefinida,
      P_CONFIG: configr
    }
    return axiosBisInstance.post('', params)
  },
  async update(id, data, modulo, variable) {
    let datos = []
    for (const dato in data) {
      // console.log(`${dato}: ${data[dato]}`);
      if (typeof data[dato] === 'string') { 
        let re = /'/g
        datos.push({ NAME: `${dato}`, VALUE: `${data[dato].replace(re, '')}` })  
      }else{
        datos.push({ NAME: `${dato}`, VALUE: `${data[dato]}` })  
      }
    }
    let conjson = { NAME: variable, VALUE: id }
    return this.executeService(modulo,3,JSON.stringify(conjson),JSON.stringify(datos),0,0,0,'','','','','','','')
  },
  async create(data, modulo) {
    let datos = []
    for (const dato in data) {
      //console.log(`${dato}: ${data[dato]}`);
      if (typeof data[dato] === 'string') { 
        let re = /'/g
        datos.push({ NAME: `${dato}`, VALUE: `${data[dato].replace(re, '')}` })  
      }else{
        datos.push({ NAME: `${dato}`, VALUE: `${data[dato]}` })  
      }
      
      
    }

    return this.executeService(modulo, 2, '', JSON.stringify(datos), 0, 0, 0, '', '', '', 0,'','','')
  },
  async delete(id, modulo, variable) {
    let conjson = { NAME: variable, VALUE: id }
    return this.executeService(modulo, 4, JSON.stringify(conjson), '', 0, 0, 0, '', '', '', 0,'','','')
  }
}
