export default class OptionsBuilder {
    constructor() {
      this.options = {};
    }
    
    setFirst(first) {
      this.options.first = first;
      return this;
    }
 
    setRows(rows) {
      this.options.rows = rows;
      return this;
    }
 
    setFilterColumn(filterColumn) {
      this.options.filterColumn = filterColumn;
      return this;
    }
 
    setFilterValue(filterValue) {
      this.options.filterValue = filterValue;
      return this;
    }
 
    setForeingKeyName(foreingKeyName) {
      this.options.foreingKeyName = foreingKeyName;
      return this;
    }
 
    setForeingKeyValue(foreingKeyValue) {
      this.options.foreingKeyValue = foreingKeyValue;
      return this;
    }
 
    setOrderColumns(orderColumns) {
      this.options.orderColumns = orderColumns;
      return this;
    }
 
    setOrderType(orderType) {
      this.options.orderType = orderType;
      return this;
    }
 
 
    build() {
      return this.options;
    }
  }