import axios from "axios";

// create an axios instance
const requestMultipart = axios.create({
  //baseURL: process.env.VUE_APP_SERVER_API + "/" + process.env.VUE_APP_CONTEXT,
  timeout: 1000 * 60 * 5, // ms * s * min
  headers: {
    "Content-Type": "multipart/form-data",
  },
});

requestMultipart.interceptors.request.use(
  (config) => {
    console.log('--------------------- Solicitud multipart interceptado --------------------- ');
    return config;
  },
  (error) => {
    console.log(error); // debug
    return Promise.reject(error);
  }
);

export default requestMultipart;
