import Cookies from 'js-cookie'

const TOKEN_KEY = 'Token'
const EXPIRATION_MINUTES = 360;

export function getTokenFromCookie() {
  return Cookies.get(TOKEN_KEY)
}

export function setTokenInCookie(token) {
  return Cookies.set(TOKEN_KEY, token,  { expires: EXPIRATION_MINUTES * (1/1440) }) 
}

export function removeTokenFromCookie() {
  return Cookies.remove(TOKEN_KEY)
}