
const UserKey = "UserData";

export function setUserInLS(userData) {
  return localStorage.setItem(UserKey, userData);
}

export function removeUserFromLS() {
  return localStorage.removeItem(UserKey);
}

export function getUserFromLS() {
  return JSON.parse(localStorage.getItem(UserKey));
}

export function isAdmin(roles) {
  let result = null;
  result = roles.filter(item => {
      return item == "ROLE_ADMIN";
  });

  if (result && result.length > 0) {
    return true;
  }

  return false;
}